List all release labels
GET/api/v1/workspaces/{workspace_slug}/releases/labels/
Returns a list of all release labels in the workspace label catalog, ordered by sort_order.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
Query Parameters
project_id:optionalstringReturn labels owned by this project. When omitted, only workspace-wide labels are returned.
per_page:optionalintegerNumber of results per page. Defaults to 20.
cursor:optionalstringCursor string for pagination in the format value:offset:is_prev.
Scopes
releases.labels:read
List all release labels
bash
curl -X GET \
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/labels/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \python
import requests
response = requests.get(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/labels/",
headers={"X-API-Key": "your-api-key"}
)
print(response.json())javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/labels/",
{
method: "GET",
headers: {
"X-API-Key": "your-api-key",
},
},
);
const data = await response.json();Response200
json
{
"next_cursor": "20:1:0",
"prev_cursor": "",
"next_page_results": false,
"prev_page_results": false,
"count": 1,
"total_pages": 1,
"total_results": 1,
"extra_stats": null,
"results": [
{
"id": "f6a7b8c9-d0e1-2345-fabc-678901234567",
"name": "Breaking change",
"color": "#FF5630",
"sort_order": 10,
"workspace": "cd4ab5a2-1a5f-4516-a6c6-8da1a9fa5be4",
"project": null
}
]
}
